Package com.macrofocus.common.selection

# Class AbstractMutableSingleSelection<E>

java.lang.Object
com.macrofocus.common.selection.AbstractSelection<E>
com.macrofocus.common.selection.AbstractMutableSelection<E>
com.macrofocus.common.selection.AbstractMutableSingleSelection<E>

All Implemented Interfaces:
  `MutableSelection<E>`, `MutableSingleSelection<E>`, `Selection<E>`, `SingleSelection<E>`, `Iterable<E>`

Direct Known Subclasses:
  `BeanSingleSelection`, `NullSingleSelection`, `PropertySingleSelection`, `SimpleSingleSelection`

public abstract class AbstractMutableSingleSelection<E> extends AbstractMutableSelection<E> implements MutableSingleSelection<E>
This class provides a skeletal implementation of the MutableSelection interface to minimize the effort required to implement this interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractMutableSingleSelection()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSingleSelectionListener(SingleSelectionListener<E> listener)`
  `void`
  `addWeakSingleSelectionListener(SingleSelectionListener<E> listener)`
  `protected void`
  `notifySingleSelectedChanged(SingleSelectionEvent<E> event)`
  `void`
  `removeSingleSelectionListener(SingleSelectionListener<E> listener)`

  ### Methods inherited from class com.macrofocus.common.selection.AbstractMutableSelection

  `setEnabled`

  ### Methods inherited from class com.macrofocus.common.selection.AbstractSelection

  `addSelectionListener, addWeakSelectionListener, isEnabled, notifySelectedChanged, removeSelectionListener, removeSelectionListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface com.macrofocus.common.selection.MutableSelection

  `clearSelection, setEnabled, setSelectedElements, setSelectedElementsState, setSelectedIterable, setSelectedIterableState, setSelectedState`

  ### Methods inherited from interface com.macrofocus.common.selection.MutableSingleSelection

  `setSelected`

  ### Methods inherited from interface com.macrofocus.common.selection.Selection

  `addSelectionListener, addWeakSelectionListener, getSelectedCount, getSelectedSet, isActive, isEnabled, isSelected, removeSelectionListener, removeSelectionListeners`

  ### Methods inherited from interface com.macrofocus.common.selection.SingleSelection

  `getSelected`

- ## Constructor Details

  - ### AbstractMutableSingleSelection

    public AbstractMutableSingleSelection()

- ## Method Details

  - ### addSingleSelectionListener

    public void addSingleSelectionListener(SingleSelectionListener<E> listener)
    Specified by:
      `addSingleSelectionListener` in interface `SingleSelection<E>`

  - ### addWeakSingleSelectionListener

    public void addWeakSingleSelectionListener(SingleSelectionListener<E> listener)
    Specified by:
      `addWeakSingleSelectionListener` in interface `SingleSelection<E>`

  - ### removeSingleSelectionListener

    public void removeSingleSelectionListener(SingleSelectionListener<E> listener)
    Specified by:
      `removeSingleSelectionListener` in interface `SingleSelection<E>`

  - ### notifySingleSelectedChanged

    protected void notifySingleSelectedChanged(SingleSelectionEvent<E> event)